with import <nixpkgs> {};

stdenv.mkDerivation rec {
  name = "oc46";
  version = "4.6";
  src = fetchurl {
    url = "https://mirror.openshift.com/pub/openshift-v4/clients/oc/${version}/linux/oc.tar.gz";
    sha256 = "60de3dbb6cf085a201c5b9490a6d5066248bfd5d3c42486a8fd43abdbdb731e6";
  };

  nativeBuildInputs = [
    autoPatchelfHook
  ];

  unpackPhase = ''
    tar xvpzf $src
  '';

  installPhase = ''
    install -m 755 -D oc $out/bin/oc
  '';

  meta = with stdenv.lib; {
    homepage = "https://www.odk.io";
    description = "openshift 4.6 client";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
